/**
 * Button component styles.
 */
@layer components {

  .ui\.btn {
    @apply inline-block p-3 rounded text-white;
    line-height: 0;
  }

  /*
    Button colors
   */

  .ui\.btn-red.ui\.btn-blank {
    @apply text-red-600;
  }

  .ui\.btn-red:not(.ui\.btn-blank) {
    @apply bg-red-600;
  }

  .ui\.btn-blue.ui\.btn-blank {
    @apply text-blue-600;
  }

  .ui\.btn-blue:not(.ui\.btn-blank) {
    @apply bg-blue-600;
  }

  .ui\.btn-grey.ui\.btn-blank {
    @apply text-gray-600;
  }

  .ui\.btn-grey:not(.ui\.btn-blank) {
    @apply bg-gray-300 text-gray-800;
  }

  /*
    Additional button utility styles
   */

  .ui\.btn-text {
    @apply leading-none;
  }

  .ui\.btn[disabled] {
    @apply cursor-not-allowed;
  }

}
